## org.codehaus.groovy.tools
Class Utilities

    java.lang.Object
      org.codehaus.groovy.tools.Utilities

    public abstract class Utilities

extends Object

Various utility functions for use in the compiler.

Constructor Summary
`Utilities()`

Method Summary
`static String` `eol()` Returns the end-of-line marker.
`static String` `repeatString(String pattern, int repeats)` Returns a string made up of repetitions of the specified string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utilities

    public Utilities()

Method Detail

### repeatString

    public static String repeatString(String pattern,
                                      int repeats)

  Returns a string made up of repetitions of the specified string.

### eol

    public static String eol()

  Returns the end-of-line marker.

Copyright © 2003-2008 The Codehaus. All rights reserved.